unshare.cpp File Reference
`#include "test/int.hh"`
`#include <gecode/minimodel.hh>`

Go to the source code of this file.

## Classes

class | Test::Int::Unshare::Int
| Test for unsharing integer variables More...
class | Test::Int::Unshare::Bool
| Test for unsharing Boolean variables More...
class | Test::Int::Unshare::Failed
| Test for unsharing in failed spaces More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.
namespace | Test::Int::Unshare
| Tests for unsharing variables in arrays

## Variables

Int | Test::Int::Unshare::i_bnd (Gecode::IPL_BND)
Int | Test::Int::Unshare::i_dom (Gecode::IPL_DOM)
Bool | Test::Int::Unshare::b
Failed | Test::Int::Unshare::f